clang 10.0.0git

Classes | Namespaces
IncludeStyle.h File Reference
`#include "llvm/Support/YAMLTraits.h"`
`#include <string>`
`#include <vector>`
Include dependency graph for IncludeStyle.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::tooling::IncludeStyle
| Style for sorting and grouping C++ #include directives. More...
struct | clang::tooling::IncludeStyle::IncludeCategory
| See documentation of `IncludeCategories`. More...
struct | llvm::yaml::MappingTraits< clang::tooling::IncludeStyle::IncludeCategory >
struct | llvm::yaml::ScalarEnumerationTraits< clang::tooling::IncludeStyle::IncludeBlocksStyle >

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| llvm::yaml